## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 22
# Also partially inspired by the Arch packaging
#   - git clone https://aur.archlinux.org/external-editor-revived.git
%bcond_without check

%global crate external-editor-revived

%global thunderbird_app_id \{3550f703-e582-4d05-9a08-453d09bdfdc6\}
%global extensions_dir %{_libdir}/mozilla/extensions/%{thunderbird_app_id}

Name:           external-editor-revived
Version:        0.4.0
Release:        %autorelease
Summary:        Thunderbird extension that allows editing emails in external editors such as Vim

# Apache-2.0 OR BSL-1.0
# GPL-3.0-or-later
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        Apache-2.0 AND MIT AND GPL-3.0-or-later
# LICENSE.dependencies contains a full license breakdown
URL:            https://github.com/Frederick888/external-editor-revived
Source:         https://github.com/Frederick888/external-editor-revived/archive/refs/tags/v%{version}.tar.gz

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21
BuildRequires:  coreutils
BuildRequires:  sed
BuildRequires:  zip

Requires: mozilla-filesystem

%global _description %{expand:
Edit emails in external editors such as Vim.}

%description %{_description}

%files
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/external-editor-revived
%{_libdir}/mozilla/native-messaging-hosts/external_editor_revived.json
%{extensions_dir}/external-editor-revived@tsundere.moe.xpi

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
# do the rust compilation
%cargo_build
# capture license information from deps
%{cargo_license} > LICENSE.dependencies
# log license summary (to be copied as comment above)
%cargo_license_summary
# package up the extension
pushd $RPM_BUILD_DIR/%{crate}-%{version}/extension
zip -r -FS $RPM_BUILD_DIR/external-editor-revived@tsundere.moe.xpi *
popd


%install
%cargo_install
# Generate the native messaging json by executing the binary
# and redirecting stdout to sed that updates the location of the
# binary and then writing that out to the destination file
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla/native-messaging-hosts
$RPM_BUILD_ROOT%{_bindir}/external-editor-revived 2>/dev/null | \
    sed 's|^  "path":.*$|  "path": "%{_bindir}/external-editor-revived",|' > \
    $RPM_BUILD_ROOT%{_libdir}/mozilla/native-messaging-hosts/external_editor_revived.json
# copy over extension
mkdir -p $RPM_BUILD_ROOT%{extensions_dir}
cp $RPM_BUILD_DIR/external-editor-revived@tsundere.moe.xpi $RPM_BUILD_ROOT%{extensions_dir}/

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-4
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Dusty Mabe <dusty@dustymabe.com> - 0.4.0-2
- make use of %%cargo_license and %%cargo_license_summary macros

* Sat Dec 10 2022 Dusty Mabe <dusty@dustymabe.com> - 0.4.0-1
- Add in spec file from Package Review
## END: Generated by rpmautospec
